Bug 103961 - Tree view fails to display file contents in main window consistently
Tree view fails to display file contents in main window consistently
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2003-09-08 09:39 EDT by Thomas J. Baker
Modified: 2015-01-07 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-18 14:55:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2003-09-08 09:39:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030701 Galeon/1.3.7

Description of problem:
When using the tree view in nautilus with the show files option enabled,
clicking on a known file type like a text file, displays the text file in the
main window for a second and the main window is refreshed back to the icon view
of the directory. Is this a bug or a feature? I would expect clicking on
anything in the tree view would be the same as clicking on the icon of the same
file in the main window.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. disable show only folders in the nautilus preference
2. enable the side pane and tree view
3. click on a txt, jpg, or other nautilus displayable file.

Actual Results:  The file is displayed in the main window for a second and the
the window is refreshed and the icon view of the selected directory is displayed.

Expected Results:  The clicked file is displayed.

Additional info:
Comment 1 Alexander Larsson 2003-09-09 05:59:03 EDT
That's not expected.
Comment 2 Alexander Larsson 2004-10-04 09:43:00 EDT
Repeated this with fc3t3. Even got a crash. We're not supposed to use
nautilus views for non-folders anymore, but this still seems to be a
Comment 3 Thomas J. Baker 2005-05-18 14:55:34 EDT
Clicking on a non folder item in fc4t3 nautilus treeview pops an error dialog
about it not being a folder. 

Note You need to log in before you can comment on or make changes to this bug.